ONJava.com -- The Independent Source for Enterprise Java
oreilly.comSafari Books Online.Conferences.

advertisement

AddThis Social Bookmark Button
Article:
  What's New in Tomcat 5
Subject:   Web app built using tomcat 4.1.27 working on tomcat 5.0.28
Date:   2004-11-30 04:40:32
From:   mehtasd78
Currently we have our web apps deployed using tomcat 4.1.27 We are in process of migrating to tomcat 5.028 version. Here is what my findings are:


1) If build is done using tomcat 4.1.27 and ran on tomcat 5.0.28, it wont work.
2) If build is done using tomcat 5.0.28 and ran on tomcat 4.1.27 it wont work.


What I noticed that servlet.jar (in tomcat 4.1.27) is renamed to servlet-api.jar (in tomcat 5.0.28).


How can I have backward compatibility with tomcat 5.0.28? That is build using tomcat 5.0.28 & run it on tomcat 4.1.27 (as we are not in a position to ask all our clients to have an instance of tomcat 5.0.28.


Thanks,


Siddhartha


1 to 1 of 1
1 to 1 of 1